Method: projects.locations.goldengateDeploymentVersions.list

Lists GoldengateDeploymentVersions in a given project and location.

HTTP request


GET https://oracledatabase.googleapis.com/v1/{parent=projects/*/locations/*}/goldengateDeploymentVersions

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListGoldengateDeploymentVersionsRequest Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. Requested page size. Server may return fewer items than requested. If unspecified, server will pick an appropriate default. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A token identifying a page of results the server should return.

filter

string

Optional. An expression for filtering the results of the request. Either the deployment_id and deploymentType fields must be specified in the format: deployment_id="id" or deploymentType="DATABASE_ORACLE".

Request body

The request body must be empty.

Response body

Message for response to listing GoldengateDeploymentVersions

If successful, the response body contains data with the following structure:

JSON representation
{
  "goldengateDeploymentVersions": [
    {
      object (GoldengateDeploymentVersion)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
goldengateDeploymentVersions[]

object (GoldengateDeploymentVersion)

The list of GoldengateDeploymentVersion

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unordered list. Locations that could not be reached.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • oracledatabase.goldenGateDeploymentVersions.list

For more information, see the IAM documentation.